Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_Transport_Factory Class Reference

`#include <Transport.h>`

Inheritance diagram for TAO_AV_Transport_Factory:

[legend]
Collaboration diagram for TAO_AV_Transport_Factory:

[legend]
List of all members.

## Public Methods
| TAO_AV_Transport_Factory (void)
| Initialization hook.
virtual | ~TAO_AV_Transport_Factory (void)
virtual int | init (int argc, char *argv[])
virtual int | match_protocol (const char *protocol_string)
virtual TAO_AV_Acceptor * | make_acceptor (void)
virtual TAO_AV_Connector * | make_connector (void)
## Public Attributes
int | ref_count

## Constructor & Destructor Documentation

TAO_AV_Transport_Factory::TAO_AV_Transport_Factory | ( | void |  | ) |

| Initialization hook.

TAO_AV_Transport_Factory::~TAO_AV_Transport_Factory | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_AV_Transport_Factory::init | ( | int | argc,
|  | char * | argv[]
| ) | `[virtual]`

| Reimplemented in TAO_AV_SCTP_SEQ_Factory, TAO_AV_TCP_Factory, and TAO_AV_UDP_Factory.

TAO_AV_Acceptor * TAO_AV_Transport_Factory::make_acceptor | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_AV_SCTP_SEQ_Factory, TAO_AV_TCP_Factory, and TAO_AV_UDP_Factory.

TAO_AV_Connector * TAO_AV_Transport_Factory::make_connector | ( | void |  | ) | `[virtual]`

| Reimplemented in TAO_AV_SCTP_SEQ_Factory, TAO_AV_TCP_Factory, and TAO_AV_UDP_Factory.

int TAO_AV_Transport_Factory::match_protocol | ( | const char * | protocol_string | ) | `[virtual]`

| Reimplemented in TAO_AV_SCTP_SEQ_Factory, TAO_AV_TCP_Factory, and TAO_AV_UDP_Factory.

## Member Data Documentation

int TAO_AV_Transport_Factory::ref_count

The documentation for this class was generated from the following files:

- Transport.h
- Transport.cpp